std::__is_location_invariant< _Tp >(3)

NAME
std::__is_location_invariant< _Tp > -

SYNOPSIS

Inherits std::integral_constant< _Tp, __v >.

Inherited by std::__is_location_invariant< _Simple_type_wrapper< _Tp > >.

  Public Types
typedef integral_constant< _Tp, __v > type
typedef _Tp value_type

  Public Member Functions
constexpr operator value_type () const
constexpr value_type operator() () const

  Static Public Attributes
static constexpr _Tp value

Detailed Description

  template<typename _Tp>
struct std::__is_location_invariant< _Tp >" Trait identifying 'location-invariant' types, meaning that the address of the object (or any of its members) will not escape. Trivially copyable types are location-invariant and users can specialize this trait for other types.

Definition at line 1451 of file functional.

Author

Generated automatically by Doxygen for libstdc++ from the source code.